## org.apache.mahout.common.mapreduce
Class MergeVectorsCombiner

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.WritableComparable<?>,VectorWritable>
          org.apache.mahout.common.mapreduce.MergeVectorsCombiner

    public class MergeVectorsCombiner

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.WritableComparable<?>,VectorWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`MergeVectorsCombiner()`

Method Summary
`void` `reduce(org.apache.hadoop.io.WritableComparable<?> key, Iterable<VectorWritable> vectors, org.apache.hadoop.mapreduce.Reducer.Context ctx)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeVectorsCombiner

    public MergeVectorsCombiner()

Method Detail

### reduce

    public void reduce(org.apache.hadoop.io.WritableComparable<?> key,
                       Iterable<VectorWritable> vectors,
                       org.apache.hadoop.mapreduce.Reducer.Context ctx)
                throws IOException,
                       InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.WritableComparable<?>,VectorWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.